import request from '@/utils/request'

// 查询算法子类型列表
export function listSubType(query) {
  return request({
    url: '/conf/subType/list',
    method: 'get',
    params: query
  })
}

// 查询算法子类型详细
export function getSubType(id) {
  return request({
    url: '/conf/subType/' + id,
    method: 'get'
  })
}

// 新增算法子类型
export function addSubType(data) {
  return request({
    url: '/conf/subType',
    method: 'post',
    data: data
  })
}

// 修改算法子类型
export function updateSubType(data) {
  return request({
    url: '/conf/subType',
    method: 'put',
    data: data
  })
}

// 删除算法子类型
export function delSubType(id) {
  return request({
    url: '/conf/subType/' + id,
    method: 'delete'
  })
}
